Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class HttpRequestHdr

    java.lang.Object
      org.apache.jmeter.protocol.http.proxy.HttpRequestHdr

    public class HttpRequestHdr

extends Object

The headers of the client HTTP request.

Constructor Summary
`HttpRequestHdr()`
`HttpRequestHdr(HTTPSamplerBase sampler)`

Method Summary
`HeaderManager` | `getHeaderManager()`
`String` | `getMethod()` Returns the method string extracted from the first line of the client request.
`HTTPSamplerBase` | `getSampler(Map<String,String> pageEncodings, Map<String,String> formEncodings)`
`String` | `getUrl()` Returns the url string extracted from the first line of the client request.
`byte[]` | `parse(InputStream in)` Parses a http header from a stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestHdr

    public HttpRequestHdr()

### HttpRequestHdr

    public HttpRequestHdr(HTTPSamplerBase sampler)

Parameters:
  `sampler` - the http sampler

Method Detail

### parse

    public byte[] parse(InputStream in)
                 throws IOException

  Parses a http header from a stream.

  Parameters:
    `in` - the stream to parse.
  Returns:
    array of bytes from client.
  Throws:
    `IOException`

### getHeaderManager

    public HeaderManager getHeaderManager()

### getSampler

    public HTTPSamplerBase getSampler(Map<String,String> pageEncodings,
                                      Map<String,String> formEncodings)
                               throws MalformedURLException,
                                      IOException

  Throws:
    `MalformedURLException`
    `IOException`

### getUrl

    public String getUrl()

  Returns the url string extracted from the first line of the client request.

  Returns:
    the url

### getMethod

    public String getMethod()

  Returns the method string extracted from the first line of the client request.

  Returns:
    the method (will always be upper case)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.